Public Member Functions | Data Fields

# NewsTypeData Struct Reference

Per-NewsType data. More...

`#include <news_type.h>`

## Public Member Functions
| NewsTypeData (const char *name, byte age, SoundFx sound, NewsDisplay display, StringID description)
| Construct this entry.
## Data Fields
const char *const | name
| Name.
const byte | age
| Maximum age of news items (in days).
const SoundFx | sound
| Sound.
NewsDisplay | display
| Display mode (off, summary, full).
const StringID | description
| Description of the news type in news settings window.

## Detailed Description

Per-NewsType data.

Definition at line 128 of file news_type.h.

## Constructor & Destructor Documentation

NewsTypeData::NewsTypeData | ( | const char * | name,
|  | byte | age,
|  | SoundFx | sound,
|  | NewsDisplay | display,
|  | StringID | description |
| ) |  |  | `[inline]`

Construct this entry.

Parameters:

  | name | The name of the type.
  | age | The maximum age for these messages.
  | sound | The sound to play.
  | description | The description for this type of messages.

Definition at line 142 of file news_type.h.

The documentation for this struct was generated from the following file:

- src/news_type.h